# Stock State `GET` `https://api.unusualwhales.com/api/stock/{ticker}/stock-state` Returns the last stock state for the given ticker. This is the easiest way to retreive the open, close, high, low and volume of the last trading day. For the latest trade and national best bid and ask use `/api/stock/{ticker}/quote`. It also returns the quote age, midpoint, spread, spread in basis points, top of book size imbalance and size-weighted midpoint. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `close` | Stock Close Price | The close stock price of the ticker. | | `high` | Stock High Price | The high stock price of the ticker. | | `low` | Stock Low Price | The low stock price of the ticker. | | `market_time` | Market Time | The market time of the data | | `open` | Stock Open Price | The open stock price of the ticker. | | `prev_close` | Stock Prev Close Price | The previous trading day's stock price of the ticker. | | `tape_time` | Stock Last Tape Time | The last tape time of the data. | | `total_volume` | Cumulative Volume | The cumulative stock volume through the trading day. | | `volume` | Stock Volume | The cumulative total volume of the underlying stock traded. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/stock-state" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/stock-state", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": { "close": "56.79", "high": "56.79", "low": "56.79", "market_time": "postmarket", "open": "56.79", "prev_close": "55.69", "tape_time": "2023-09-07T20:11:00Z", "total_volume": 13774488, "volume": 500000 } } ```